SLikeNet 0.1.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Namespaces | Functions
GetTime.h File Reference

Returns the value from QueryPerformanceCounter. This is the function RakNet uses to represent time. This time won't match the time returned by GetTimeCount(). See http://www.jenkinssoftware.com/forum/index.php?topic=2798.0. More...

`#include "Export.h"`
`#include "time.h"`

Go to the source code of this file.

## Namespaces

namespace | SLNet
| Simple class to send changes between directories. In essence, a simple autopatcher that can be used for transmitting levels, skins, etc.

## Functions

SLNet::Time RAK_DLL_EXPORT | SLNet::GetTime (void)
SLNet::TimeMS RAK_DLL_EXPORT | SLNet::GetTimeMS (void)
SLNet::TimeUS RAK_DLL_EXPORT | SLNet::GetTimeUS (void)
RAK_DLL_EXPORT bool | SLNet::GreaterThan (SLNet::Time a, SLNet::Time b)
| a > b?
RAK_DLL_EXPORT bool | SLNet::LessThan (SLNet::Time a, SLNet::Time b)
| a < b?

## Detailed Description

Returns the value from QueryPerformanceCounter. This is the function RakNet uses to represent time. This time won't match the time returned by GetTimeCount(). See http://www.jenkinssoftware.com/forum/index.php?topic=2798.0.

Definition in file GetTime.h.